Page MenuHomePhabricator

LivePreview: Since 1.25wmf12 the preview of the summary does not get updated on "Show changes"
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Enable LivePreview.
  • Edit a page.
  • Put the text "foo" into the summary.
  • Click on "Show preview".
    • The message "Preview of edit summary: (foo)" occurs.
  • Change the Summary to "bar".
  • Click on "Show changes".
    • The message still shows "Preview of edit summary: (foo)".

Expected Result: The message should updated to "Preview of edit summary: (bar)".

Event Timeline

Fomafix created this task.Dec 18 2014, 7:18 AM
Fomafix raised the priority of this task from to Normal.
Fomafix updated the task description. (Show Details)
Fomafix added a project: Contributors-Team.
Fomafix changed Security from none to None.
Fomafix added a subscriber: Fomafix.

Change 180782 had a related patch set uploaded (by Gerrit Patch Uploader):
API: Return parsedsummary on onlypst

https://gerrit.wikimedia.org/r/180782

Patch-For-Review

Ricordisamoa renamed this task from LivePreview: Since 1.25wmf12 the preview of the summary not get updated on "Show changes" to LivePreview: Since 1.25wmf12 the preview of the summary does not get updated on "Show changes".Dec 18 2014, 1:43 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Nnvu removed a subscriber: Nnvu.Dec 18 2014, 11:35 PM
Nnvu added a subscriber: Nnvu.

Change 180782 merged by jenkins-bot:
API: Return parsedsummary on onlypst

https://gerrit.wikimedia.org/r/180782

matmarex closed this task as Resolved.Mar 15 2015, 7:13 PM
matmarex edited projects, added Regression; removed Patch-For-Review.
Nnvu removed a subscriber: Nnvu.Mar 16 2015, 7:31 AM